apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
    # nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    # If you encounter a redirect loop or are getting a 307 response code
    # then you need to force the nginx ingress to connect to the backend using HTTPS.
    #
    # nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
    # kubernetes.io/ingress.class: nginx
    forecastle.stakater.com/expose: "true"
    forecastle.stakater.com/appName: "Gatekeeper Policy Manager"
    forecastle.stakater.com/icon: "https://raw.githubusercontent.com/sighupio/gatekeeper-policy-manager/master/app/static-content/logo.svg"
  name: gatekeeper-policy-manager
spec:
  ingressClassName: nginx
  rules:
  - host: gpm.px-dev.mavenwave.dev
    http:
        paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: gatekeeper-policy-manager
              port:
                number: 80
  tls:
    - hosts:
      - gpm.px-dev.mavenwave.dev
      secretName: gpm-secret